﻿using System;
using System.Collections.Generic;
using AppfabricAdministrator.Entities.Interface;

namespace AppfabricAdministrator.Commands.Cache
{
    public class GetCacheConfig : ICommand
    {
        public string CommandName
        {
            get
            {
                return "Get-CacheConfig";
            }
        }

        private Dictionary<String, Object> _parameters = new Dictionary<String, Object>(){
            {"CacheName",null}
        };

        public Dictionary<string, object> Parameters
        {
            get
            {
                return _parameters;
            }
            set
            {
                _parameters = value;
            }
        }

        private string _successMessage = "Displaying cache configuration for {0}.";
        public string SuccessMessage
        {
            get { return String.Format(_successMessage,Parameters["CacheName"].ToString()); }
        }
    }
}
