﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AppfabricAdministrator.Entities.Interface;

namespace AppfabricAdministrator.Commands.Cluster
{
    public class ExportConfig : ICommand
    {
        public string CommandName
        {
            get
            {
                return "Export-CacheClusterConfig";
            }
        }

        private Dictionary<String, Object> _parameters = new Dictionary<String, Object>(){
            {"File",null},
        };

        public Dictionary<String, Object> Parameters
        {
            get
            {
                return _parameters;
            }
            set
            {
                _parameters = value;
            }
        }

        private string _successMessage = "Cluster configuration exported to {0}.";
        public string SuccessMessage
        {
            get { return String.Format(_successMessage,Parameters["File"].ToString()); }
        }
    }
}
