﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AppfabricAdministrator.Entities.Interface;

namespace AppfabricAdministrator.Commands.Cluster
{
    class GrantAccess : ICommand
    {
        public string CommandName
        {
            get
            {
                return "Grant-CacheAllowedClientAccount";
            }
        }

        private Dictionary<String, Object> _parameters = new Dictionary<String, Object>(){
            {"Account",null},
        };

        public Dictionary<string, object> Parameters
        {
            get
            {
                return _parameters;
            }
            set
            {
                _parameters = value;
            }
        }

        private string _successMessage = "{0} has been granted access to cache cluster.";
        public string SuccessMessage
        {
            get { return String.Format(_successMessage,Parameters["Account"].ToString()); }
        }
    }
}
