﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AppfabricAdministrator.Entities.Interface;

namespace AppfabricAdministrator.Commands.Cluster
{
    class StartCluster:ICommand
    {
        public string CommandName
        {
            get
            {
                return "Start-CacheCluster";
            }
        }

        private Dictionary<String, Object> _parameters = null;
        public Dictionary<string, object> Parameters
        {
            get
            {
                return _parameters;
            }
            set
            {
                _parameters = value;
            }
        }

        private string _successMessage = "Successfully started cache cluster.";
        public string SuccessMessage
        {
            get { return _successMessage; }
        }
    }
}
