﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AppfabricAdministrator.Entities.Interface;

namespace AppfabricAdministrator.Commands.Host
{
    public class StartCacheHost:ICommand
    {
        public string CommandName
        {
            get
            {
                return "Start-CacheHost";
            }
        }

        Dictionary<String, Object> _parameters = new Dictionary<String, Object>(){
            {"HostName",null},
            {"CachePort",null}
        };
        public Dictionary<string, object> Parameters
        {
            get
            {
                return _parameters;
            }
            set
            {
                _parameters = value;
            }
        }

        private string _successMessage = "Successfuly started host {0}.";
        public string SuccessMessage
        {
            get { return String.Format(_successMessage, Parameters["HostName"].ToString()); }
        }
    }
}
