﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AppfabricAdministrator.Entities.Interface;

namespace AppfabricAdministrator.Commands.Cluster
{
    public class ClusterSecurity : ICommand
    {
        public string CommandName
        {
            get
            {
                return "Set-CacheClusterSecurity";
            }
        }

        private Dictionary<String, Object> _parameters = new Dictionary<String, Object>(){
            {"ProtectionLevel",null},
            {"SecurityMode",null}
        };

        public Dictionary<string, object> Parameters
        {
            get
            {
                return _parameters;
            }
            set
            {
                _parameters = value;
            }
        }

        private string _successMessage = "Cluster security updated.";
        public string SuccessMessage
        {
            get { return _successMessage; }
        }
    }
}
